Bug 494649 - UI for changing channel permissions is slightly incomplete
UI for changing channel permissions is slightly incomplete
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Brad Buckingham
Preethi Thomas
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-04-07 13:45 EDT by Jay Dobies
Modified: 2009-09-10 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:48:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2009-04-07 13:45:18 EDT
Description of problem:
After changing a custom channel's policy, the confirmation page has a few minor display issues:
- The channel name is no longer displayed at the top of the page
- There is a missing space in the first line of the description:

"Are you sure you want to set this channel's access policy to being a protectedchannel"

Version-Release number of selected component (if applicable):
Spacewalk 0.5

How reproducible:
Always

Steps to Reproduce:
1. Create a custom channel
2. Change its visibility to protected, this will bring you to the confirmation page with the issues.
  
Actual results:
Misleading without the channel name at the top.

Expected results:
Consistent with the rest of the UI.

Additional info:
Comment 1 Brad Buckingham 2009-04-16 18:23:04 EDT
master git commit: db6ef62418779cc069d59a9cbd4eeed53d24ab0c
vader git commit: 8dd0d051e6a99a1b5f0ad5bb4b20fe1f6501d337

The issue of the channel name not being propagated to the confirmation page appears to have already been addressed by bug 495065.  As a result, this commit
only addresses the missing space.
Comment 2 Brad Buckingham 2009-04-27 08:26:54 EDT
mass move to ON_QA
Comment 3 Preethi Thomas 2009-05-27 09:38:43 EDT
verified
Satellite-5.3.0-RHEL4-re20090521.1-i386-embedded-oracle.iso
Comment 4 Preethi Thomas 2009-07-31 14:47:03 EDT
verified on 7/24 stage iso... moving to RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 15:48:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.